function dof=modelsize(models)
%DOF - return the maximum number of degrees of freedom of the model
%
%   Usage:
%      dof=modelsize(models)

%initialize dof
dof=0;

%get all models
modelsname=fieldnames(models);

%get max dof
for i=1:length(modelsname);
	if ~strcmpi(modelsname,'analysis_type'),
		if ~isempty(models.(modelsname{i}).nodesets),
			dof=max(dof,models.(modelsname{i}).nodesets.fsize);
		end
	end
end
